Cluster
All operations require authentication.
List clustersProduction
Returns the service names of the clusters, which are also their Ceph fsid.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal ID of your ceph cluster
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Get a clusterProduction
Returns the configuration and the current state of the cluster. The status is INSTALLED once all requested tasks are done.
Path parameters
Service name
Response
List of CEPH monitor IPs
Used version of ceph
Creation date
Tunables of cluster
ARGONAUTBOBTAILDEFAULTFIREFLYHAMMERJEWELLEGACYOPTIMALIAM resource metadata
Name of cluster
Name of region where cluster is located
ID of cluster
Size of cluster in TB
State of cluster
ACTIVESUSPENDEDStatus of cluster
CREATINGDELETEDDELETINGINSTALLEDTASK_IN_PROGRESSLast update date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cephMons": [ "string" ], "cephVersion": "string", "createDate": "string", "crushTunables": "ARGONAUT", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "label": "string", "region": "string", "serviceName": "string", "size": 0, "state": "ACTIVE", "status": "CREATING", "updateDate": "string"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal ID of your ceph cluster
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationProduction
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The internal ID of your ceph cluster
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Request service terminationProduction
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The internal ID of your ceph cluster
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal ID of your ceph cluster
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Update a clusterProduction
Updates the label and the CRUSH tunables of the cluster.
Path parameters
Service name
Request body (required)
Tunables of cluster
ARGONAUTBOBTAILDEFAULTFIREFLYHAMMERJEWELLEGACYOPTIMALName of the cluster
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN""string"